#ifndef D_TEXAS_H
#define D_TEXAS_H

#include <utility>

struct Card {
    int color, value;
    Card(): color(-1), value(-1) {}
    Card(int _color, int _value): color(_color), value(_value) {}
};

struct State {
    Card alice[2], bob[2];
    Card community[5];
};

enum class ActionType {
    CHECK, CALL, RAISE, FOLD
};

std::pair<ActionType, int> makeDecision(const State& s);

int getResult(const State& s);
std::pair<double, double> getRatesBySampling(const State& s, int t);



#endif //D_TEXAS_H
